Skip to content

Retrieve a project ​

GET/api/v1/workspaces/{workspace_slug}/projects/{resource_id}/

Retrieve details of a specific project.

Path Parameters ​

resource_id:requiredstring

The unique identifier of the resource.

workspace_slug:requiredstring

The workspace_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL https://app.plane.so/my-team/projects/, the workspace slug is my-team.

Scopes ​

projects:read

Retrieve a project
bash
curl -X GET \
  "https://api.plane.so/api/v1/workspaces/my-workspace/projects/resource-id-uuid/" \
  -H "X-API-Key: $PLANE_API_KEY" \
  # Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN"
Response200
json
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "name": "Example Name",
  "description": "Example description",
  "identifier": "PROJ-123",
  "network": 2,
  "project_lead": "550e8400-e29b-41d4-a716-446655440000",
  "created_at": "2024-01-01T00:00:00Z",
  "updated_at": "2024-01-01T00:00:00Z"
}